Page MenuHomePhabricator

Set up and deploy homepage on Arabic Wikipedia
Closed, ResolvedPublicWed, Jul 24

Description

  • Define deployment date (July 22nd 24th)
  • Inform communities (@Dyolf77_WMF)
  • Prepare config patch
  • Deploy to production
  • Validate that incoming data is correct (@nettrom_WMF)

Details

Due Date
Wed, Jul 24, 11:00 PM

Event Timeline

Catrope created this task.Jul 15 2019, 11:48 PM
Catrope set Due Date to Jul 22 2019, 7:00 AM.Jul 15 2019, 11:53 PM
Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald TranscriptJul 15 2019, 11:53 PM

Change 523362 had a related patch set uploaded (by Catrope; owner: Catrope):
[operations/mediawiki-config@master] Enable GrowthExperiments homepage on arwiki

https://gerrit.wikimedia.org/r/523362

Change 523363 had a related patch set uploaded (by Catrope; owner: Catrope):
[operations/mediawiki-config@master] Enable homepage for 50% of new users on arwiki

https://gerrit.wikimedia.org/r/523363

Catrope updated the task description. (Show Details)Jul 15 2019, 11:57 PM
Catrope moved this task from Incoming to Code Review on the Growth-Team (Current Sprint) board.
Dyolf77_WMF updated the task description. (Show Details)Jul 15 2019, 11:58 PM

Arabic Wikipedia community informed by the deployment.

@Dyolf77_WMF -- now that the help panel and homepage can post to Flow (per T212433), you can start testing out the homepage on Arabic Beta on both desktop and mobile. Please point out any issues on this task. We expect everything to be working correctly in both features.

Dyolf77_WMF added a comment.EditedJul 18 2019, 12:50 PM


Mobile - Homepage, after clicking on the "Start here" the text is not displayed correctly as you see. There is a gap between the description and the clickable button.

Desktop version, for the new account created:

Desktop version, for the new account created:


Are the strings displayed in English already translated on translatewiki?

Are the strings displayed in English already translated on translatewiki?

Yes they are.

Let's wait until the train finishes to sync the translated strings.

@Etonkovidova -- could you please take a look what @Dyolf77_WMF noticed in T228120#5345539? How there is no line break between the description and the button? What do you make of that?

Catrope changed Due Date from Jul 22 2019, 7:00 AM to Wed, Jul 24, 11:00 PM.Tue, Jul 23, 5:25 PM
Catrope updated the task description. (Show Details)

Scheduled for Wednesday July 24th at 23:00-00:00 UTC (4pm PDT).

Let's wait until the train finishes to sync the translated strings.

Looks okay now.

Change 523362 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable GrowthExperiments homepage on arwiki

https://gerrit.wikimedia.org/r/523362

Mentioned in SAL (#wikimedia-operations) [2019-07-24T23:22:44Z] <catrope@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Enable GrowthExperiments homepage on arwiki (T228120) (duration: 00m 55s)

Change 523363 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable homepage for 50% of new users on arwiki

https://gerrit.wikimedia.org/r/523363

Mentioned in SAL (#wikimedia-operations) [2019-07-24T23:39:39Z] <catrope@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Enable homepage for 50% of new users on arwiki (T228120) (duration: 00m 58s)

Catrope updated the task description. (Show Details)Wed, Jul 24, 11:40 PM
Catrope moved this task from Code Review to QA on the Growth-Team (Current Sprint) board.
nettrom_WMF closed this task as Resolved.Fri, Jul 26, 8:35 PM
nettrom_WMF claimed this task.
nettrom_WMF triaged this task as Normal priority.
nettrom_WMF added a project: Product-Analytics.
nettrom_WMF moved this task from Triage to Doing on the Product-Analytics board.

I've run data from deployment up until now through the Leading Indicator analysis, and do not find anything there that is cause for concern. The additional test of verifying that all Homepage-related events in the HelpPanel data have a matching visit in HomepageVisit, and similarly for HomepageModule, also passed. As far as I can tell, this task is now completed.